Arp Detection
8 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getGridArpDetects | GET | Get arp detect list |
| createArpDetects | POST | Create new arp detects |
| deleteArpDetect | DELETE | Delete an existing arp detect |
| modifyArpDetect | PATCH | Modify a arp detect |
| importArpDetectImpbsFromFile | POST | Import the static impbs from file. |
| getOswPortLagIdVlans | POST | Get the port or standard port or lag to vlans map of one osw. |
| getArpDetectStatus | GET | Get arp detect status |
| modifyArpDetectStatus | PATCH | Modify arp detect status |
getGridArpDetects
GET /openapi/v1/{omadacId}/sites/{siteId}/arpDetects
Get arp detect list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridArpDetects",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get arp detect list
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createArpDetects
POST /openapi/v1/{omadacId}/sites/{siteId}/arpDetects
Create new arp detects
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ArpDetectVO
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | The primary id of the arp detection. |
omadacId | string | no | The id of the omada the arp detect belongs to. |
siteId | string | no | The id of the site the arp detect belongs to. |
name | string | no | The name of the arp detect. |
mac | string | no | The mac of the general device. |
deviceName | string | no | The name of the device. |
deviceType | string | no | Device type:ap、gateway、switch、olt |
deviceModel | string | no | Model of device,for example:EAP225 |
deviceModelVersion | string | no | Model version of device,for example:3.0 |
showModel | string | no | The client showModel |
stackId | string | no | The stack of the stack device. |
stackName | string | no | The name of the stacking devices. |
oswStack | OswStackInfoVO | no | (OswStackInfoVO not expanded; call omada_get_schema "OswStackInfoVO") |
ports | array<PortVO> | no | The ports selected. |
impbs | array<ImpbVO> | no | The impbs selected. |
status | integer | no | The connected status of the device. |
unSelectedablePorts | array<PortVO> | no | The unSelectedable ports of the device. |
allPorts | array<OswPortVO> | no | All Port list in one device. |
allLags | array<OswLagVO> | no | All lag list in one device. |
devices | array<DeviceVO> | no | The devices selected to create entries. |
dhcpSnoopPorts | array<PortVO> | no | The ports dhcp snooping selected. |
// omada_call_operation
{
"operationId": "createArpDetects",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new arp detects
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
deleteArpDetect
DELETE /openapi/v1/{omadacId}/sites/{siteId}/arpDetects/{arpDetectId}
Delete an existing arp detect
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
arpDetectId | path | string | yes | arpDetectId |
// omada_call_operation
{
"operationId": "deleteArpDetect",
"params": {
"siteId": "<siteId>",
"arpDetectId": "<arpDetectId>"
}
}Details, permissions and error codes
Delete an existing arp detect
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-39821 - The ARP detection entry does not exist.
modifyArpDetect
PATCH /openapi/v1/{omadacId}/sites/{siteId}/arpDetects/{arpDetectId}
Modify a arp detect
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
arpDetectId | path | string | yes | arpDetectId |
Request body — application/json (required) — schema ArpDetectVO
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | The primary id of the arp detection. |
omadacId | string | no | The id of the omada the arp detect belongs to. |
siteId | string | no | The id of the site the arp detect belongs to. |
name | string | no | The name of the arp detect. |
mac | string | no | The mac of the general device. |
deviceName | string | no | The name of the device. |
deviceType | string | no | Device type:ap、gateway、switch、olt |
deviceModel | string | no | Model of device,for example:EAP225 |
deviceModelVersion | string | no | Model version of device,for example:3.0 |
showModel | string | no | The client showModel |
stackId | string | no | The stack of the stack device. |
stackName | string | no | The name of the stacking devices. |
oswStack | OswStackInfoVO | no | (OswStackInfoVO not expanded; call omada_get_schema "OswStackInfoVO") |
ports | array<PortVO> | no | The ports selected. |
impbs | array<ImpbVO> | no | The impbs selected. |
status | integer | no | The connected status of the device. |
unSelectedablePorts | array<PortVO> | no | The unSelectedable ports of the device. |
allPorts | array<OswPortVO> | no | All Port list in one device. |
allLags | array<OswLagVO> | no | All lag list in one device. |
devices | array<DeviceVO> | no | The devices selected to create entries. |
dhcpSnoopPorts | array<PortVO> | no | The ports dhcp snooping selected. |
// omada_call_operation
{
"operationId": "modifyArpDetect",
"params": {
"siteId": "<siteId>",
"arpDetectId": "<arpDetectId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify a arp detect
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-39821 - The ARP detection entry does not exist.
importArpDetectImpbsFromFile
POST /openapi/v1/{omadacId}/sites/{siteId}/arpDetects/impbs/import
Import the static impbs from file.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (optional)
| Field | Type | Required | Description |
|---|---|---|---|
file | string (binary) | yes |
// omada_call_operation
{
"operationId": "importArpDetectImpbsFromFile",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Import the static impbs from file.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getOswPortLagIdVlans
POST /openapi/v1/{omadacId}/sites/{siteId}/arpDetects/portLagVlans
Get the port or standard port or lag to vlans map of one osw.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ArpDetectOswVO
| Field | Type | Required | Description |
|---|---|---|---|
mac | string | no | The mac of the general device. |
stackId | string | no | The stack of the stack device. |
// omada_call_operation
{
"operationId": "getOswPortLagIdVlans",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Get the port or standard port or lag to vlans map of one osw.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getArpDetectStatus
GET /openapi/v1/{omadacId}/sites/{siteId}/arpDetects/status
Get arp detect status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getArpDetectStatus",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get arp detect status
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
modifyArpDetectStatus
PATCH /openapi/v1/{omadacId}/sites/{siteId}/arpDetects/status
Modify arp detect status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ArpDetectStatusVO
| Field | Type | Required | Description |
|---|---|---|---|
arpDetectEnable | boolean | no | Whether open the arp detect switch. |
snoopForEntryEnable | boolean | no | Whether open the snoop for entry. |
// omada_call_operation
{
"operationId": "modifyArpDetectStatus",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify arp detect status
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.